# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "celsius/primo/version"

Gem::Specification.new do |spec|
  spec.name          = "celsius-primo"
  spec.version       = Celsius::Primo::VERSION
  spec.authors       = ["Michael Sievers"]
  spec.summary       = %q{Generic primo celsius adapter}
  spec.homepage      = "https://github.com/ubpb/celsius-primo"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "celsius",       ">= 0.4.3"
  spec.add_dependency "httpi",         ">= 2.1.0", "< 3.0.0"
  spec.add_dependency "hashie"
  spec.add_dependency "ox",            ">= 2.1.0"

  spec.add_development_dependency "bundler",   "~> 1.7"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec",     ">= 3.0.0", "< 3.2.0"
  spec.add_development_dependency "simplecov", ">= 0.8.0"
  spec.add_development_dependency "vcr",       ">= 2.9.0",  "< 3.0.0"
  spec.add_development_dependency "webmock",   ">= 1.19.0", "< 2.0.0"
end
